<%@ page language="java" import="java.util.*,java.io.*" pageEncoding="UTF-8"%>
<%
		String number=request.getParameter("number");
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <title>贝壳彩--出票详情查询</title>
    
	<meta http-equiv="pragma" content="no-cache"/>

	<meta http-equiv="cache-control" content="no-cache"/>
	<meta http-equiv="expires" content="0"/>    
	<meta http-equiv="keywords" content="keyword1,keyword2,keyword3"/>
	<meta http-equiv="description" content="This is my page"/>
	<link href="<%=request.getContextPath()%>/letoula/css/list_Details.css" rel="stylesheet" type="text/css" />
	<link href="<%=request.getContextPath()%>/letoula/css/betting.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
  	<div id='homeTop'>
      <%@include file='../../letoula/top.jsp' %>
    </div>
    <div id='homeMain'>
    	
    	<h2 class='youhtitle'>
    		<b>查看上传方案详情</b>
    	</h2>
    	<table  style="margin-bottom:10px;" cellspacing='1' bgcolor='#edbcb7' cellpadding='1' id='chooseTable' class='yhchooseTable' width="100%">
    	<thead><tr><td>序号</td><td width='596'>投注明细</td><td>注数</td><td>金额</td><td>过关方式</td></tr></thead>
    		<%
try{
	 	String localhost = "localhost";
		String url = request.getParameter("t");
		url ="/upload/"+ url;
		 BufferedReader  br = new BufferedReader(new InputStreamReader(new FileInputStream(url),"GBK"));
			String r="";
			int i=0;
			String[] loadArr = new String[]{"-","1","2","单式"};
			while((r=br.readLine())!=null){
				  i++;
				  String[] xq = r.split("\\s");
				  for(int k=0;k<xq.length;k++){
				  	loadArr[k] = xq[k];
				  }
				  String trcss = "";
				  if(number!=null && !number.equals("") && number.equals(loadArr[0]))
				  {
				  	 trcss = "style='background-color:red;color:#fff;font-size:16px;font-weight:bold;'";
				  }
				  loadArr[0] = loadArr[0].replaceAll("3R","3(<font color='red'>让球</font>)").replaceAll("1R","1(<font color='red'>让球</font>)").replaceAll("0R","0(<font color='red'>让球</font>)");
				  out.print("<tr><td "+trcss+">"+i+"</td><td "+trcss+">"+loadArr[0]+"</td><td "+trcss+">"+loadArr[1]+"</td><td "+trcss+">"+loadArr[2]+"</td><td "+trcss+">"+loadArr[3].replaceAll("_","串")+"</td></tr>");
			}
			br.close();
			
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
			
%>
    	</table>
    <div id='mainFooter' style='clear:both;'>
      	<%@include file='../../letoula/bottom.jsp' %>
    </div>
  </body>
  </html>